<?php namespace Phpcmf\Model\Weixin;

// 权限验证
class Auth extends \Phpcmf\Model
{
    // 判断底部链接的显示权限
    public function is_bottom_auth($mid) {

        if (SITE_ID == 1) {
            return 1;
        }

        // 这里的程序体，有权限返回1，没权限返回0
        return 0;
    }
    // 判断右侧链接的显示权限
    public function is_link_auth($mid) {

        // $mid 是当前模块的目录名称
        // 这里的程序体，显示返回1，不显示返回0

        return 1;
    }

    public function is_tpl_use($mid, $data) {

        $config = \Phpcmf\Service::R(WRITEPATH.'config/weixin_sendtpl.php');
        if (!isset($config[$mid])) {
            return 0;
        } elseif (!isset($config[$mid]['use']) || !$config[$mid]['use']) {
            return 0;
        }

        return 1;
    }

}